::tf_gamerules <- FindByClassname(null, "tf_gamerules");
EntFireByHandle(tf_gamerules, "SetRedTeamRespawnWaveTime", "1", 0, null, null);
EntFireByHandle(tf_gamerules, "SetBlueTeamRespawnWaveTime", "1", 0, null, null);
SetPropInt(tf_gamerules, "m_nHudType", 2);

IncludeIfNot("merc_changes/vsh_merc.nut", "VSHMercCharacter" in ROOT);

::VSH_TEAM_MERCS <- TF_TEAM_RED;
::VSH_TEAM_BOSS <- TF_TEAM_BLUE;

::CHAN_VSH_ANNOUNCER <- 155;
::CHAN_VSH_CHARGE <- 141;
::CHAN_VSH_CHARGE_SFX <- 135;
::CHAN_VSH_PUNCH <- 142;

::VSH_CLASS_CHARACTERS <- [
    VSHMercCharacter, //GENERIC
    VSHScout, //SCOUT
    VSHSniper, //SNIPER
    VSHSoldier, //SOLDIER
    VSHDemo, //DEMO
    VSHMedic, //MEDIC
    VSHHeavy, //HEAVY
    VSHPyro, //PYRO
    VSHSpy, //SPY
    VSHEngineer, //ENGINEER
    VSHMercCharacter  //CIVLIAN (not that one)
];

Convars.SetValue("tf_weapon_criticals", 1);
Convars.SetValue("tf_classlimit", 0);
Convars.SetValue("cl_use_tournament_specgui", 0);
Convars.SetValue("mp_forcecamera", 0);
Convars.SetValue("sv_alltalk", 1);
Convars.SetValue("tf_dropped_weapon_lifetime", 0); //todo

SetPropInt(worldspawn, "m_takedamage", 1);

function PlayerSpawn_MashUp(player)
{
    if (player.GetTeam() == TF_TEAM_RED)
        SetEntityColor(player, [184, 56, 59, 255])
    else
        SetEntityColor(player, [88, 133, 162, 255])
    //if (!GetCustomCharacter(player))
    //    ConvertToCustomCharacter(player, VSH_CLASS_CHARACTERS[player.GetPlayerClass()]);
}
OnGameEvent("player_spawn", PlayerSpawn_MashUp);

function TransformTo(char)
{
    ConvertToCustomCharacter(activator, char);
}

function TransformTo2(player)
{
    ConvertToCustomCharacter(player, VSH_CLASS_CHARACTERS[player.GetPlayerClass()]);
}

OnGameEvent("OnDealDamage", function(player, params)
{
    /*if (GetCustomCharacter(player) instanceof BossMechaHale)
    {
        if (params.inflictor != GetCustomCharacter(player).FindAbility("AbilityEyeLasers").custom_dmg_eye_lasers)
            params.damage *= 0.35;
    }*/
})

::isRoundSetup <- false;

//AbilityEyeLasers.maxCooldown = 15;
AbilitySaxtonPunch.maxCooldown = 15;

//local old1 = AbilityEyeLasers.ApplyAbility
local old2 = AbilitySaxtonPunch.ApplyAbility

/*AbilityEyeLasers.ApplyAbility <- function()
{
    old1();
    nextCooldownTS = Time() + 15;
}*/

AbilitySaxtonPunch.ApplyAbility <- function()
{
    old2();
    nextCooldownTS = Time() + 15;
}

::VSH_BOSS_MODE <- false;

::BossSaxtonHale <- SaxtonHaleBossCharacter