Include("bosses/mecha_hale/eye_lasers.nut");

::MechaHaleSoundBank <- class extends SoundBank
{
    charge_windup_a = [
        "mvm/vsh_mecha/mecha_hale_edit/charge_a_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/charge_a_02.mp3"
    ]

    charge_windup_b = [
        "mvm/vsh_mecha/mecha_hale_edit/charge_b_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/charge_b_02.mp3"
    ]

    charge_windup_c = [
        "mvm/vsh_mecha/mecha_hale_edit/charge_c_01.mp3"
    ]


    charge_release_a = [
        "mvm/vsh_mecha/mecha_hale_edit/dash_a_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/dash_a_02.mp3"
    ]

    charge_release_b = [
        "mvm/vsh_mecha/mecha_hale_edit/dash_b_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/dash_b_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/dash_b_03.mp3"
    ]

    charge_release_c = [
        "mvm/vsh_mecha/mecha_hale_edit/dash_c_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/dash_c_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/dash_c_03.mp3"
    ]

    jarated = [
        "mvm/vsh_mecha/mecha_hale_edit/jarated_04.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/jarated_05.mp3"
    ]

    brave_jump = [
        "mvm/vsh_mecha/mecha_hale_edit/jump_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/jump_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/jump_03.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/jump_04.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/jump_05.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/jump_06.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/jump_07.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/jump_08.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/jump_09.mp3"
    ]

    kill_demoman = [
        "mvm/vsh_mecha/mecha_hale_edit/kill_soldier_01.mp3"
    ]

    kill_engineer = [
        "mvm/vsh_mecha/mecha_hale_edit/kill_engineer_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_engineer_03.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_engineer_04.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_engineer_05.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_engineer_06.mp3"
    ]

    kill_generic = [
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_03.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_04.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_05.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_06.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_08.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_09.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_10.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_11.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_12.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_13.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_14.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_15.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_17.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_18.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_19.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_20.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_22.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_generic_23.mp3"

        "mvm/vsh_mecha/gray_mann_new/kill_generic_01.mp3"
        "mvm/vsh_mecha/gray_mann_new/kill_generic_02.mp3"
        "mvm/vsh_mecha/gray_mann_new/kill_generic_03.mp3"
        "mvm/vsh_mecha/gray_mann_new/kill_generic_04.mp3"
        "mvm/vsh_mecha/gray_mann_new/kill_generic_05.mp3"
        "mvm/vsh_mecha/gray_mann_new/kill_generic_06.mp3"
        "mvm/vsh_mecha/gray_mann_new/kill_generic_07.mp3"
        "mvm/vsh_mecha/gray_mann_new/kill_generic_08.mp3"

        "mvm/vsh_mecha/mecha_hale_new/kill_generic_01.mp3"
        "mvm/vsh_mecha/mecha_hale_new/kill_generic_02.mp3"
        "mvm/vsh_mecha/mecha_hale_new/kill_generic_03.mp3"
        "mvm/vsh_mecha/mecha_hale_new/kill_generic_04.mp3"
        "mvm/vsh_mecha/mecha_hale_new/kill_generic_05.mp3"
        "mvm/vsh_mecha/mecha_hale_new/kill_generic_06.mp3"
        "mvm/vsh_mecha/mecha_hale_new/kill_generic_07.mp3"
        "mvm/vsh_mecha/mecha_hale_new/kill_generic_08.mp3"
        "mvm/vsh_mecha/mecha_hale_new/kill_generic_09.mp3"
    ]

    kill_heavy = [
        "mvm/vsh_mecha/mecha_hale_edit/kill_scout_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_heavy_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_heavy_03.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_heavy_04.mp3"
    ]

    kill_medic = [
        "mvm/vsh_mecha/mecha_hale_edit/kill_medic_01.mp3"
    ]

    kill_medic_last = [
        "mvm/vsh_mecha/mecha_hale_edit/kill_medic_last_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_medic_last_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_medic_last_03.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_medic_last_04.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_medic_last_05.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_medic_last_06.mp3"
    ]

    kill_medic_only = [
        "mvm/vsh_mecha/mecha_hale_edit/kill_medic_only_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_medic_only_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_medic_only_03.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_medic_only_04.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_medic_only_05.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_medic_only_06.mp3"
    ]

    kill_pyro = [
        "mvm/vsh_mecha/mecha_hale_edit/kill_pyro_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_pyro_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_pyro_03.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_pyro_04.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_pyro_05.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_pyro_06.mp3"
    ]

    kill_scout = [
        "mvm/vsh_mecha/mecha_hale_edit/kill_scout_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_scout_02.mp3"
    ]

    kill_sniper = [
        "mvm/vsh_mecha/mecha_hale_edit/kill_sniper_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_sniper_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_sniper_03.mp3"
    ]

    kill_soldier = [
        "mvm/vsh_mecha/mecha_hale_edit/kill_soldier_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_soldier_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_soldier_03.mp3"
    ]

    kill_spy = [
        "mvm/vsh_mecha/mecha_hale_edit/kill_spy_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_spy_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_spy_03.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_spy_04.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_spy_05.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_spy_06.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_pyro_06.mp3"
    ]

    kill_spy_dr = [
    ]

    kill_building = [
        "mvm/vsh_mecha/mecha_hale_edit/kill_building_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_building_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_building_04.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/kill_building_05.mp3"
    ]

    kill_dispenser = [
        "mvm/vsh_mecha/mecha_hale_edit/kill_dispenser_01.mp3"
    ]

    last_mann_hiding = [
        "mvm/vsh_mecha/mecha_hale_edit/last_mann_hiding_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/last_mann_hiding_03.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/last_mann_hiding_04.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/last_mann_hiding_05.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/last_mann_hiding_06.mp3"

        "mvm/vsh_mecha/mecha_hale_new/last_mann_hiding_01.mp3"
    ]

    TauntLaugh = [
        "mvm/vsh_mecha/mecha_hale_edit/laugh_01.mp3"
    ]

    stabbed = [
        "mvm/vsh_mecha/mecha_hale_edit/stabbed_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/stabbed_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/stabbed_03.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/stabbed_04.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/stabbed_05.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/stabbed_06.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/stabbed_07.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/stabbed_08.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/stabbed_09.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/stabbed_10.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/stabbed_11.mp3"
    ]

    rage = [
        "mvm/vsh_mecha/mecha_hale_edit/rage_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rage_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rage_03.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rage_04.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rage_05.mp3"
    ]

    come_back = [
        "mvm/vsh_mecha/mecha_hale_edit/come_back_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/come_back_02.mp3"
    ]

    rps_1 = [
        "mvm/vsh_mecha/mecha_hale_edit/rps_1_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rps_1_02.mp3"
    ]

    rps_2 = [
        "mvm/vsh_mecha/mecha_hale_edit/rps_2_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rps_2_02.mp3"
    ]

    rps_3 = [
        "mvm/vsh_mecha/mecha_hale_edit/rps_3_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rps_3_02.mp3"
    ]

    rps_on3 = [
        "mvm/vsh_mecha/mecha_hale_edit/rps_on3_01.mp3"
    ]

    rps_init = [
        "mvm/vsh_mecha/mecha_hale_edit/rps_init_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rps_init_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rps_init_03.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rps_init_04.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rps_init_05.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rps_init_06.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rps_init_07.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rps_init_08.mp3"
    ]

    rps_lose = [
        "mvm/vsh_mecha/mecha_hale_edit/rps_lose_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rps_lose_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rps_lose_03.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rps_lose_04.mp3"
    ]

    rps_lose_paper = [
        "mvm/vsh_mecha/mecha_hale_edit/rps_lose_paper_01.mp3"
    ]

    rps_win_paper = [
        "mvm/vsh_mecha/mecha_hale_edit/rps_win_paper_01.mp3"
    ]

    rps_lose_rock = [
        "mvm/vsh_mecha/mecha_hale_edit/rps_lose_rock_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/rps_lose_rock_02.mp3"
    ]

    rps_lose_scissors = [
        "mvm/vsh_mecha/mecha_hale_edit/rps_lose_scissors_01.mp3"
    ]

    rps_win_scissors = [
        "mvm/vsh_mecha/mecha_hale_edit/rps_win_scissors_01.mp3"
    ]

    rps_win_rock = [
        "mvm/vsh_mecha/mecha_hale_edit/rps_win_rock_01.mp3"
    ]

    high5 = [
        "mvm/vsh_mecha/mecha_hale_edit/high5_01.mp3"
    ]

    //BOW BEFORE YOUR MECHANICAL OVERLORD

    charge_windup_d = [
        "mvm/vsh_mecha/mecha_hale_new/charge_a_01.mp3"
        "mvm/vsh_mecha/mecha_hale_new/charge_a_02.mp3"
        "mvm/vsh_mecha/mecha_hale_new/charge_a_03.mp3"
    ]

    charge_release_d = [
        "mvm/vsh_mecha/mecha_hale_edit/dash_c_01.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/dash_c_02.mp3"
        "mvm/vsh_mecha/mecha_hale_edit/dash_c_03.mp3"
    ]

    kill_laser = [
        "mvm/vsh_mecha/gray_mann_new/kill_laser_01.mp3"
        "mvm/vsh_mecha/gray_mann_new/kill_laser_02.mp3"
        "mvm/vsh_mecha/gray_mann_new/kill_laser_03.mp3"
        "mvm/vsh_mecha/gray_mann_new/kill_laser_04.mp3"
    ]

    laser_ready = [
        "mvm/vsh_mecha/mecha_hale_new/laser_ready_01.mp3"
    ]

    laser_firing = [
        "mvm/vsh_mecha/mecha_hale_new/laser_fire_01.mp3"
        "mvm/vsh_mecha/mecha_hale_new/laser_fire_02.mp3"
        "mvm/vsh_mecha/mecha_hale_new/laser_fire_03.mp3"
        "mvm/vsh_mecha/mecha_hale_new/laser_fire_04.mp3"
    ]

    use_laser = [
        "mvm/vsh_mecha/gray_mann_new/use_laser_01.mp3"
    ]

    //SFX

    charge_windup_sfx = [
        "weapons/loose_cannon_charge.wav"
    ]

    slam_ready_sfx = [
        "ui/item_medal_pickup.wav"
    ]

    slam_impact_sfx = [
        "ambient/explosions/explode_1.wav"
    ]

    saxton_punch_sfx = [
        "mvm/vsh_mecha/giant_soldier/giant_soldier_rocket_shoot_crit.wav"
    ]

    brave_jump_sfx = [
        "TFPlayer.AirBlastImpact"
    ]

    laser_ready_sfx = [
        ")weapons/vaccinator_charge_tier_01.wav"
    ]

    laser_warning_sfx = [
        "MVM.Warning"
    ]

    laser_fire_sfx = [
        "vsh_mecha/charge.mp3"
    ]

    sapper_sfx = [
        "vsh_mecha/sapper.mp3"
    ]

    sapper_placed_sfx = [
        "Weapon_Sapper.Placed"
    ]

    sapper_removed_sfx = [
        "Weapon_Sapper.Removed"
    ]

    sapper_placed_apsap = [
        "PSap.Hacking"
        "PSap.HackingShort"
        "Psap.Attached"
        "PSap.Hacking"
        "PSap.HackingShort"
        "Psap.Attached"
        "PSap.Hacking"
        "PSap.HackingShort"
        "Psap.Attached"
        "PSap.Hacking"
        "PSap.HackingShort"
        "Psap.Attached"
        "vo/items/wheatley_sapper/wheatley_sapper_attack06.mp3"
        "vo/items/wheatley_sapper/wheatley_sapper_attack07.mp3"
        "vo/items/wheatley_sapper/wheatley_sapper_attack09.mp3"
        "vo/items/wheatley_sapper/wheatley_sapper_attack11.mp3"
    ]
}

::AbilityBraveJumpMechaHale <- class extends AbilityBraveJump
{
    shortFeetThrustersModelFx = "models/vsh/player/items/thrusters_legs_fx.mdl";

    eyeLasersAbility = null;

    function Precache()
    {
        base.Precache();
        PrecacheModel(shortFeetThrustersModelFx);
    }

    function ApplyAbility()
    {
        base.ApplyAbility();
        eyeLasersAbility = charScript.FindAbility("AbilityEyeLasers");
    }

    function Perform()
    {
        base.Perform();
        EntFireByHandle(player.CreateWorldModel(shortFeetThrustersModelFx), "Kill", "", 2, null, null);
        charScript.EmitSoundBankSimple("brave_jump_sfx");
    }

    function CalcJumpForce()
    {
        local baseForce = base.CalcJumpForce();
        if (!eyeLasersAbility)
            return baseForce;
        if (eyeLasersAbility.IsFiring())
            return baseForce * 0.5;
        if (eyeLasersAbility.IsWarmup())
            return baseForce * 0.75;
        return baseForce;
    }
}

::AbilitySweepingChargeMechaHale <- class extends AbilitySweepingCharge
{
    backThrustersModelFx = "models/vsh/player/items/thrusters_back_fx_constant.mdl";
    feetThrustersModelFx = "models/vsh/player/items/thrusters_legs_fx_constant.mdl";

    thrusters_wearable_back = null;
    thrusters_wearable_feet = null;
    eyeLasersAbility = null;

    function Precache()
    {
        base.Precache();
        PrecacheModel(backThrustersModelFx);
        PrecacheModel(feetThrustersModelFx);
    }

    function ApplyAbility()
    {
        base.ApplyAbility();
        eyeLasersAbility = charScript.FindAbility("AbilityEyeLasers");
    }

    function OnWindUpStart()
    {
        base.OnWindUpStart();
        thrusters_wearable_back = player.CreateWorldModel(backThrustersModelFx);
        if (!player.IsOnGround())
            thrusters_wearable_feet = player.CreateWorldModel(feetThrustersModelFx);
    }

    function OnDashEnd()
    {
        base.OnDashEnd();
        thrusters_wearable_back = KillIfValid(thrusters_wearable_back);
        thrusters_wearable_feet = KillIfValid(thrusters_wearable_feet);
    }

    function CanPerform()
    {
        return base.CanPerform() && (!eyeLasersAbility || !(eyeLasersAbility.IsFiring() || eyeLasersAbility.IsWarmup()));
    }

    function PreventGibbing(params)
    {
    }
}

::AbilityMightySlamMechaHale <- class extends AbilityMightySlam
{
    //slamParticleEffect = "vsh_mighty_slam_mecha";

    eyeLasersAbility = null;

    function ApplyAbility()
    {
        base.ApplyAbility();
        eyeLasersAbility = charScript.FindAbility("AbilityEyeLasers");
    }

    function CanSlam()
    {
        return base.CanSlam() && (!eyeLasersAbility || !(eyeLasersAbility.IsFiring() || eyeLasersAbility.IsWarmup()));
    }
}

::BossMechaHale <- class extends SaxtonHaleBossCharacter
{
    model          = "models/vsh/player/mecha_hale.mdl";
    bodyAura       = "models/vsh/player/items/vsh_effect_body_aura_mecha_hale.mdl";
    armAuraRedOff  = "models/vsh/player/items/vsh_effect_ltarm_aura_mecha_hale.mdl"
    armAuraBlueOff = "models/vsh/player/items/vsh_effect_rtarm_aura_mecha_hale.mdl"
    armAurablueOn  = "models/vsh/player/items/vsh_effect_rtarm_aura_chargedash_mecha_hale.mdl"

    scale     = 1.35;
    soundBankClass = MechaHaleSoundBank;

    abilityClasses = [
        AbilityBraveJumpMechaHale,
        AbilitySweepingChargeMechaHale,
        AbilityMightySlamMechaHale,
        AbilityEyeLasers];


    halesOwnFists = class extends SaxtonHaleBossCharacter.halesOwnFists
    {
        viewmodel      = "models/vsh/weapons/c_models/c_mecha_hale_arms.mdl";
        hideworldmodel = true;
        baseid         = 331;
    };

    function Precache()
    {
        base.Precache();
        PrecacheParticle("vsh_megapunch_shockwave");
    }

    function ApplyCharacter()
    {
        base.ApplyCharacter();
        FindAbility("AbilityMightySlam").slamParticleEffect = "vsh_megapunch_shockwave";
    }
}