Include("vip/characters/mobster/money_bag.nut");

PrecacheScriptSound("VIPMobster.Typewriter.Single")

::MobsterSoundBank <- class extends SoundBank
{
    function EmitVoiceLine(sound, params)
    {
         //todo log error - why
        local myOrigin = player.GetOrigin();
        local restore = {};
        foreach(player in GetClients())
            if ((myOrigin - player.GetOrigin()).Length() < 512)
            {
                restore[player] <- player.GetOrigin();
                player.SetAbsOrigin(myOrigin);
            }

            base.EmitVoiceLine(sound, params);

        foreach (player, offset in restore)
            player.SetAbsOrigin(offset);
    }

    Medic = [
        "mvm/mobster_t1/mobster_medic01.mp3"
        "mvm/mobster_t1/mobster_medic02.mp3"
        "mvm/mobster_t1/mobster_medic03.mp3"
        "mvm/mobster_t1/mobster_medic04.mp3"
        "mvm/mobster_t1/mobster_medic05.mp3"

        "mvm/mobster_t1/mobster_medicangry01.mp3"
        "mvm/mobster_t1/mobster_medicangry02.mp3"
        "mvm/mobster_t1/mobster_medicangry03.mp3"
    ]

    medicfollow = [
        "mvm/mobster_t1/mobster_medic03.mp3"
        "mvm/mobster_t1/mobster_medicangry01.mp3"
        "mvm/mobster_t1/mobster_medicangry02.mp3"
        "mvm/mobster_t1/mobster_medicangry03.mp3"
    ]
    thanks = [
        "mvm/mobster_t1/mobster_thanks01.mp3"
        "mvm/mobster_t1/mobster_thanks02.mp3"
        "mvm/mobster_t1/mobster_thanks03.mp3"
        "mvm/mobster_t1/mobster_thanks04.mp3"
    ]
    //these play after kill, we need to remove that and make a unique line play when the civilian kills someone
    GenericKill = [
        "mvm/mobster_t1/mobster_generickill01.mp3"
        "mvm/mobster_t1/mobster_generickill02.mp3"
        "mvm/mobster_t1/mobster_generickill03.mp3"
        "mvm/mobster_t1/mobster_generickill04.mp3"
        "mvm/mobster_t1/mobster_generickill05.mp3"
        "mvm/mobster_t1/mobster_generickill06.mp3"
        "mvm/mobster_t1/mobster_generickill07.mp3"
        "mvm/mobster_t1/mobster_generickill08.mp3"
        "mvm/mobster_t1/mobster_generickill09.mp3"
        "mvm/mobster_t1/mobster_generickill10.mp3"
        "mvm/mobster_t1/mobster_generickill11.mp3"
        "mvm/mobster_t1/mobster_generickill12.mp3"
    ]
    go = [
        "mvm/mobster_t1/mobster_go01.mp3"
        "mvm/mobster_t1/mobster_go02.mp3"
        "mvm/mobster_t1/mobster_go03.mp3"
        "mvm/mobster_t1/mobster_go04.mp3"
        "mvm/mobster_t1/mobster_go05.mp3"
    ]
    moveup = [
        "mvm/mobster_t1/mobster_moveup01.mp3"
        "mvm/mobster_t1/mobster_moveup02.mp3"
    ]
    headleft = [
        "mvm/mobster_t1/mobster_headleft01.mp3"
    ]
    headright = [
        "mvm/mobster_t1/mobster_headright01.mp3"
    ]
    yes = [
        "mvm/mobster_t1/mobster_yes01.mp3"
        "mvm/mobster_t1/mobster_yes02.mp3"
        "mvm/mobster_t1/mobster_yes03.mp3"
        "mvm/mobster_t1/mobster_yes04.mp3"
    ]
    no = [
        "mvm/mobster_t1/mobster_no01.mp3"
        "mvm/mobster_t1/mobster_no02.mp3"
        "mvm/mobster_t1/mobster_no03.mp3"
        "mvm/mobster_t1/mobster_no04.mp3"

        "mvm/mobster_t1/mobster_norare01.mp3"
    ]
    incoming = [
        "mvm/mobster_t1/mobster_incoming01.mp3"
        "mvm/mobster_t1/mobster_incoming02.mp3"
        "mvm/mobster_t1/mobster_incoming03.mp3"
    ]

    cloakedspy = [
        "mvm/mobster_t1/mobster_cloakedspy01.mp3"
        "mvm/mobster_t1/mobster_cloakedspy02.mp3"
        "mvm/mobster_t1/mobster_cloakedspy03.mp3"
        "mvm/mobster_t1/mobster_cloakedspy04.mp3"
        "mvm/mobster_t1/mobster_cloakedspy05.mp3"
        "mvm/mobster_t1/mobster_cloakedspy06.mp3"
    ]
    //spy lines start
    //scout
    cloakedspyidentify01 = [
        "mvm/mobster_t1/mobster_cloakedspy01.mp3"
        "mvm/mobster_t1/mobster_cloakedspy02.mp3"
        "mvm/mobster_t1/mobster_cloakedspy03.mp3"
        "mvm/mobster_t1/mobster_cloakedspy04.mp3"
        "mvm/mobster_t1/mobster_cloakedspy05.mp3"
        "mvm/mobster_t1/mobster_cloakedspy06.mp3"
    ]
    //soldier
    cloakedspyidentify02 = [
        "mvm/mobster_t1/mobster_cloakedspy01.mp3"
        "mvm/mobster_t1/mobster_cloakedspy02.mp3"
        "mvm/mobster_t1/mobster_cloakedspy03.mp3"
        "mvm/mobster_t1/mobster_cloakedspy04.mp3"
        "mvm/mobster_t1/mobster_cloakedspy05.mp3"
        "mvm/mobster_t1/mobster_cloakedspy06.mp3"
    ]
    //heavy
    cloakedspyidentify03 = [
        "mvm/mobster_t1/mobster_cloakedspy01.mp3"
        "mvm/mobster_t1/mobster_cloakedspy02.mp3"
        "mvm/mobster_t1/mobster_cloakedspy03.mp3"
        "mvm/mobster_t1/mobster_cloakedspy04.mp3"
        "mvm/mobster_t1/mobster_cloakedspy05.mp3"
        "mvm/mobster_t1/mobster_cloakedspy06.mp3"
    ]
    //pyro
    cloakedspyidentify04 = [
        "mvm/mobster_t1/mobster_cloakedspy01.mp3"
        "mvm/mobster_t1/mobster_cloakedspy02.mp3"
        "mvm/mobster_t1/mobster_cloakedspy03.mp3"
        "mvm/mobster_t1/mobster_cloakedspy04.mp3"
        "mvm/mobster_t1/mobster_cloakedspy05.mp3"
        "mvm/mobster_t1/mobster_cloakedspy06.mp3"
    ]
    //demoman
    cloakedspyidentify05 = [
        "mvm/mobster_t1/mobster_cloakedspy01.mp3"
        "mvm/mobster_t1/mobster_cloakedspy02.mp3"
        "mvm/mobster_t1/mobster_cloakedspy03.mp3"
        "mvm/mobster_t1/mobster_cloakedspy04.mp3"
        "mvm/mobster_t1/mobster_cloakedspy05.mp3"
        "mvm/mobster_t1/mobster_cloakedspy06.mp3"
    ]
    //medic
    cloakedspyidentify06 = [
        "mvm/mobster_t1/mobster_cloakedspy01.mp3"
        "mvm/mobster_t1/mobster_cloakedspy02.mp3"
        "mvm/mobster_t1/mobster_cloakedspy03.mp3"
        "mvm/mobster_t1/mobster_cloakedspy04.mp3"
        "mvm/mobster_t1/mobster_cloakedspy05.mp3"
        "mvm/mobster_t1/mobster_cloakedspy06.mp3"
    ]
    //engineer
    cloakedspyidentify07 = [
        "mvm/mobster_t1/mobster_cloakedspy01.mp3"
        "mvm/mobster_t1/mobster_cloakedspy02.mp3"
        "mvm/mobster_t1/mobster_cloakedspy03.mp3"
        "mvm/mobster_t1/mobster_cloakedspy04.mp3"
        "mvm/mobster_t1/mobster_cloakedspy05.mp3"
        "mvm/mobster_t1/mobster_cloakedspy06.mp3"
    ]
    //sniper
    cloakedspyidentify08 = [
        "mvm/mobster_t1/mobster_cloakedspy01.mp3"
        "mvm/mobster_t1/mobster_cloakedspy02.mp3"
        "mvm/mobster_t1/mobster_cloakedspy03.mp3"
        "mvm/mobster_t1/mobster_cloakedspy04.mp3"
        "mvm/mobster_t1/mobster_cloakedspy05.mp3"
        "mvm/mobster_t1/mobster_cloakedspy06.mp3"
    ]
    //spy
    cloakedspyidentify09 = [
        "mvm/mobster_t1/mobster_cloakedspy01.mp3"
        "mvm/mobster_t1/mobster_cloakedspy02.mp3"
        "mvm/mobster_t1/mobster_cloakedspy03.mp3"
        "mvm/mobster_t1/mobster_cloakedspy04.mp3"
        "mvm/mobster_t1/mobster_cloakedspy05.mp3"
        "mvm/mobster_t1/mobster_cloakedspy06.mp3"
    ]
    //civilian
    cloakedspyidentify10 = [
        "mvm/mobster_t1/mobster_cloakedspy01.mp3"
        "mvm/mobster_t1/mobster_cloakedspy02.mp3"
        "mvm/mobster_t1/mobster_cloakedspy03.mp3"
        "mvm/mobster_t1/mobster_cloakedspy04.mp3"
        "mvm/mobster_t1/mobster_cloakedspy05.mp3"
        "mvm/mobster_t1/mobster_cloakedspy06.mp3"
    ]
    //spy lines end
    sentryahead = [
        "mvm/mobster_t1/mobster_sentryahead01.mp3"
        "mvm/mobster_t1/mobster_sentryahead02.mp3"
        "mvm/mobster_t1/mobster_sentryahead03.mp3"
        "mvm/mobster_t1/mobster_sentryahead04.mp3"
        "mvm/mobster_t1/mobster_sentryahead05.mp3"
    ]
    needteleporter = [
        "mvm/mobster_t1/mobster_needteleporter01.mp3"
        "mvm/mobster_t1/mobster_needteleporter02.mp3"
    ]
    needdispenser = [
        "mvm/mobster_t1/mobster_needdispenser01.mp3"
        "mvm/mobster_t1/mobster_needdispenser02.mp3"
        "mvm/mobster_t1/mobster_needdispenser03.mp3"
    ]
    needsentry = [
        "mvm/mobster_t1/mobster_needsentry01.mp3"
        "mvm/mobster_t1/mobster_needsentry02.mp3"
        "mvm/mobster_t1/mobster_needsentry03.mp3"
    ]
    activatecharge = [
        "mvm/mobster_t1/mobster_activatecharge01.mp3"
        "mvm/mobster_t1/mobster_activatecharge02.mp3"
        "mvm/mobster_t1/mobster_activatecharge03.mp3"
    ]
    helpme = [
        "mvm/mobster_t1/mobster_helpme01.mp3"
        "mvm/mobster_t1/mobster_helpme02.mp3"
        "mvm/mobster_t1/mobster_helpme03.mp3"
        "mvm/mobster_t1/mobster_helpme04.mp3"
        "mvm/mobster_t1/mobster_helpme05.mp3"
    ]
    helpmecapture = [
        "mvm/mobster_t1/mobster_helpmecapture01.mp3"
        "mvm/mobster_t1/mobster_helpmecapture02.mp3"
        "mvm/mobster_t1/mobster_helpmecapture03.mp3"
        "mvm/mobster_t1/mobster_helpmecapture04.mp3"
        "mvm/mobster_t1/mobster_helpmecapture05.mp3"
        "mvm/mobster_t1/mobster_helpmecapture06.mp3"
        "mvm/mobster_t1/mobster_helpmecapture07.mp3"
    ]
    helpmedefend = [
        "mvm/mobster_t1/mobster_helpmecapture01.mp3"
        "mvm/mobster_t1/mobster_helpmecapture02.mp3"
        "mvm/mobster_t1/mobster_helpmecapture03.mp3"
        "mvm/mobster_t1/mobster_helpmecapture04.mp3"
        "mvm/mobster_t1/mobster_helpmecapture05.mp3"
        "mvm/mobster_t1/mobster_helpmecapture06.mp3"
        "mvm/mobster_t1/mobster_helpmecapture07.mp3"
    ]
    battlecry = [
        "mvm/mobster_t1/mobster_battlecry01.mp3"
        "mvm/mobster_t1/mobster_battlecry02.mp3"
        "mvm/mobster_t1/mobster_battlecry03.mp3"
        "mvm/mobster_t1/mobster_battlecry04.mp3"
        "mvm/mobster_t1/mobster_battlecry05.mp3"
        "mvm/mobster_t1/mobster_battlecry06.mp3"
        "mvm/mobster_t1/mobster_battlecry07.mp3"
        "mvm/mobster_t1/mobster_battlecry08.mp3"
    ]
    meleedare = [
        "mvm/mobster_t1/mobster_meleedare01.mp3"
        "mvm/mobster_t1/mobster_meleedare02.mp3"
        "mvm/mobster_t1/mobster_meleedare03.mp3"
    ]
    cheers = [
        "mvm/mobster_t1/mobster_cheers01.mp3"
        "mvm/mobster_t1/mobster_cheers02.mp3"
        "mvm/mobster_t1/mobster_cheers03.mp3"
    ]
    jeers = [
        "mvm/mobster_t1/mobster_jeers01.mp3"
        "mvm/mobster_t1/mobster_jeers02.mp3"
        "mvm/mobster_t1/mobster_jeers03.mp3"
        "mvm/mobster_t1/mobster_jeers04.mp3"
    ]
    positivevocalization = [
        "mvm/mobster_t1/mobster_positivevocalization01.mp3"
        "mvm/mobster_t1/mobster_positivevocalization02.mp3"
        "mvm/mobster_t1/mobster_positivevocalization03.mp3"
        "mvm/mobster_t1/mobster_positivevocalization04.mp3"
        "mvm/mobster_t1/mobster_positivevocalization05.mp3"
        "mvm/mobster_t1/mobster_positivevocalization06.mp3"
    ]
    negativevocalization = [
        "mvm/mobster_t1/mobster_negativevocalization01.mp3"
        "mvm/mobster_t1/mobster_negativevocalization02.mp3"
        "mvm/mobster_t1/mobster_negativevocalization03.mp3"
    ]
    niceshot = [
        "mvm/mobster_t1/mobster_niceshot01.mp3"
        "mvm/mobster_t1/mobster_niceshot02.mp3"
        "mvm/mobster_t1/mobster_niceshot03.mp3"
    ]
    goodjob = [
        "mvm/mobster_t1/mobster_goodjob01.mp3"
        "mvm/mobster_t1/mobster_goodjob02.mp3"
        "mvm/mobster_t1/mobster_goodjob03.mp3"
    ]
    StandOnThePoint = [
        "mvm/mobster_t1/mobster_standonthepoint01.mp3"
        "mvm/mobster_t1/mobster_standonthepoint02.mp3"
        "mvm/mobster_t1/mobster_standonthepoint03.mp3"
    ]
    domination = [
        "mvm/mobster_t1/mobster_generickill01.mp3"
        "mvm/mobster_t1/mobster_generickill02.mp3"
        "mvm/mobster_t1/mobster_generickill03.mp3"
        "mvm/mobster_t1/mobster_generickill04.mp3"
        "mvm/mobster_t1/mobster_generickill05.mp3"
        "mvm/mobster_t1/mobster_generickill06.mp3"
        "mvm/mobster_t1/mobster_generickill07.mp3"
        "mvm/mobster_t1/mobster_generickill08.mp3"
        "mvm/mobster_t1/mobster_generickill09.mp3"
        "mvm/mobster_t1/mobster_generickill10.mp3"
        "mvm/mobster_t1/mobster_generickill11.mp3"
        "mvm/mobster_t1/mobster_generickill12.mp3"
    ]

    //custom lines
    MedicAngry = [
        "mvm/mobster_t1/mobster_medicangry01.mp3"
        "mvm/mobster_t1/mobster_medicangry02.mp3"
        "mvm/mobster_t1/mobster_medicangry03.mp3"
    ]
    LeaveSpawn = [
        "mvm/mobster_t1/mobster_leavespawn01.mp3"
        "mvm/mobster_t1/mobster_leavespawn02.mp3"
        "mvm/mobster_t1/mobster_leavespawn03.mp3"
    ]
    Robbery = [
        "mvm/mobster_t1/mobster_special01.mp3"
    ]
    Retry = [
        "mvm/mobster_t1/mobster_retry01.mp3"
    ]
    MeleeKill = [
        "mvm/mobster_t1/mobster_meleekill01.mp3"
        "mvm/mobster_t1/mobster_meleekill02.mp3"
        "mvm/mobster_t1/mobster_meleekill03.mp3"
    ]
    MeleeKillImmediate = [
        "mvm/mobster_t1/mobster_meleekillimmediate01.mp3"
        "mvm/mobster_t1/mobster_meleekillimmediate02.mp3"
        "mvm/mobster_t1/mobster_meleekillimmediate03.mp3"
    ]
    NoRare = [
        "mvm/mobster_t1/mobster_norare01.mp3"
    ]
}

::VIPMobster <- class extends VIPShared
{
    playerClass = TF_CLASS_SCOUT;
    maxHealth = 500;
    model = "models/vip_mobster/player/mobster.mdl";
    scale = 1.2;
    soundBankClass = MobsterSoundBank;

    typewriter = class extends CustomWeaponBase
    {
        baseclass = "tf_weapon_handgun_scout_primary";
        baseid = 13;
        viewmodel = "models/vip_mobster/weapons/v_typewriter.mdl";
        worldmodel = "models/vip_mobster/weapons/w_typewriter.mdl";
        armsmodel = "models/vip_mobster/weapons/c_mobster_arms.mdl";
        clip = 40;
        maxAmmo = 200;
        mute = true;

        function OnEquip()
        {
            weapon.AddAttribute("bullets per shot bonus", 0.75, -1);
            weapon.AddAttribute("fire rate bonus", 0.34, -1);
            weapon.AddAttribute("clip size bonus", 10, -1);
            weapon.AddAttribute("damage bonus HIDDEN", 0.45, -1);
            weapon.AddAttribute("dmg falloff decreased", 0.35, -1);
            weapon.AddAttribute("spread penalty", 2, -1);
            weapon.AddAttribute("Reload time increased", 1.33, -1);
        }

        function OnFire()
        {
            player.ViewPunch(QAngle(-0.2, 0, 0));
            local restore = GetPropVector(player, "m_vecViewOffset");
            SetPropVector(player, "m_vecViewOffset", Vector(999999, 999999, 999999));
            EmitSoundEx({
                sound_name = "VIPMobster.Typewriter.Single",
                filter_type = RECIPIENT_FILTER_PAS_ATTENUATION,
                entity = player,
                speaker_entity = player
            });
            SetPropVector(player, "m_vecViewOffset", restore);
        }
    };

    moneybag = class extends CustomWeaponBase
    {
        baseclass = "tf_weapon_cleaver";
        baseid = 812;
        viewmodel = "models/vip_mobster/weapons/v_moneybag.mdl";
        worldmodel = "models/vip_mobster/weapons/w_moneybag_closed.mdl";
        armsmodel = "models/vip_mobster/weapons/c_mobster_arms.mdl";

        function OnEquip()
        {
            SetPropIntArray(player, "m_iAmmo", 1, weapon.GetPrimaryAmmoType());
            weapon.AddAttribute("effect bar recharge rate increased", 6, -1);
            weapon.AddAttribute("killstreak_tier", 1, -1);
        }

        function OnFire()
        {
            AddTimer(-1, function(endTime)
            {
                if (Time() > endTime)
                    return TIMER_DELETE;
                for (local projectile = null; projectile = FindByClassnameWithin(projectile, "tf_projectile_cleaver", player.GetCenter(), 128);)
                    if (GetPropEntity(projectile, "m_hThrower") == player)
                    {
                        KillIfValid(projectile);
                        return TIMER_DELETE;
                    }
            }, Time() + 3);

            player.ViewPunch(QAngle(-3, 0, 0));
            RunWithDelay(0.2, function()
            {
                MoneyBagProjectile(player);
            });
        }
    };

    leadpipe = class extends CustomWeaponBase
    {
        baseclass = "tf_weapon_shovel";
        baseid = 0;
        viewmodel = "models/vip_mobster/weapons/v_leadpipe.mdl";
        worldmodel = "models/vip_mobster/weapons/w_leadpipe.mdl";
        armsmodel = "models/vip_mobster/weapons/c_mobster_arms.mdl";

        state = 0;

        function OnEquip()
        {
            OnGameEvent("OnTakeDamage", function(victim, params)
            {
                if (params.weapon == weapon)
                    OnDamage(victim, params);
            })
        }

        function OnSwitch()
        {
            local viewmodel = GetPropEntity(player, "m_hViewModel");
            if (!viewmodel) return;
            viewmodel.SetBodygroup(0, state);
        }

        function OnDamage(victim, params)
        {
            local viewmodel = GetPropEntity(player, "m_hViewModel");
            if (!viewmodel) return;
            local newValue = params.damage_type & DMG_CRIT || params.damage >= victim.GetHealth() ? 2 : 1;
            if (newValue > state)
            {
                viewmodel.SetBodygroup(0, newValue);
                state = newValue;
            }
        }
    };

    primary = null;
    secondary = null;
    melee = null;

    hp_bar1 = null;
    hp_bar2 = null;
    lastBarLength = -1;
    lastTimeSpyCall = 0;

    function ApplyCharacter()
    {
        base.ApplyCharacter();
        player.AddCustomAttribute("patient overheal penalty", 0.2, -1);
        player.AddCustomAttribute("airblast vulnerability multiplier", 0.4, -1);
        player.AddCustomAttribute("move speed bonus", 0.575, -1);
        player.AddCustomAttribute("no double jump", 1, -1);

        primary = ProvideCustomWeapon(player, typewriter);
        secondary = ProvideCustomWeapon(player, moneybag);
        melee = ProvideCustomWeapon(player, leadpipe);
        player.Weapon_Switch(primary);
        //todo revved heavy, medigun, etc

        hp_bar1 = SpawnEntityFromTable("point_worldtext",
        {
            font = 5,
            orientation = 1,
            textspacingX = -10,
            textsize = 20,
            color = "0 255 255 255",
            origin = player.EyePosition() + Vector(0, 0, 25)
        });
        hp_bar1.AcceptInput("SetParent", "!activator", player, player);

        hp_bar2 = SpawnEntityFromTable("point_worldtext",
        {
            font = 5,
            orientation = 1,
            textspacingX = -10,
            textsize = 20,
            color = "64 0 0 255",
            origin = player.EyePosition() + Vector(0, 0, 25)
        });
        hp_bar2.AcceptInput("SetParent", "!activator", player, player);

        OnSelfEvent("player_hurt", UpdateHPBar);
        OnTickEnd(UpdateHPBar);
        AddTimer(0.1, UpdateHPBar);

        RunWithDelay(RandomInt(1, 2), function()
        {
            EmitVoiceLine("LeaveSpawn");
        });

        OnGameEvent("player_death", function(victim, params)
        {
            local attacker = GetPlayerFromParams(params, "attacker");
            if (attacker == player && params.damagebits & DMG_CLUB)
            {
                switch(RandomInt(0, 2))
                {
                    case 0:
                        RunWithDelay(0.4, EmitVoiceLine, "MeleeKillImmediate");
                        break;
                    case 1:
                        RunWithDelay(2.0, EmitVoiceLine, "MeleeKill");
                }
            }
        });

        AddTimer(0.5, function()
        {
            if (Time() < lastTimeSpyCall)
                return;
            local myPos = player.GetOrigin();
            foreach(enemyPlayer in GetPlayers(player.GetEnemyTeam()))
            {
                if (enemyPlayer.GetPlayerClass() == TF_CLASS_SPY)
                {
                    if ((myPos - enemyPlayer.GetOrigin()).Length() < 800)
                    {
                        lastTimeSpyCall = Time() + 20;

                        local point_clientcommand = SpawnEntityFromTable("point_clientcommand", {})
                        point_clientcommand.AcceptInput("Command", "voicemenu 1 1", player, player);
                        EntFireByHandle(point_clientcommand, "Kill", null, 1, null, null);
                    }
                }
            }
        })
    }

    function OnCleanup()
    {
        base.OnCleanup();
    }

    function UpdateHPBar()
    {
        local hpLength = ((player.GetHealth() - 1) * 16 / player.GetMaxHealth()) + 1;
        if (hpLength == lastBarLength)
            return;
        lastBarLength = hpLength;
        local str1 = "";
        local str2 = "";
        for (local i = 0; i < hpLength; i++)
        {
            str1 += ".";
            str2 += " ";
        }
        for (local i = hpLength; i < 15; i++)
        {
            str1 += " ";
            str2 += ".";
        }
        str1 += "   ";
        str2 += "   ";
        hp_bar1.AcceptInput("SetText", str1, null, null);
        hp_bar1.AcceptInput("SetColor", GetHealthGlowColor(), null, null);
        hp_bar2.AcceptInput("SetText", str2, null, null);
    }

    function GetHealthGlowColor()
    {
        local healthRatio = player.GetHealth() / player.GetMaxHealth().tofloat();
        if (healthRatio > 0.6)
            return "85 191 58 255"; //RGBA 0.33 0.75 0.23 1.00
		else if(healthRatio > 0.3)
            return "191 171 58 255"; //RGBA 0.75 0.72 0.23 1.00
        return "191 58 58 255";     //RGBA 0.75 0.23 0.23 1.00
    }
}